button.button {
  &-plain {
    border: none;

    @include btnAnimation;
  }

  &-outline {
    @include btnAnimation;
  }
}

.card > app-button > button.btn {
  font-size: .6rem !important;
}

.danger {
  &-plain {
    background-color: $color-danger;

    &:active,
    &:focus {
      background-color: $color-danger !important;
      border-color: $color-danger !important;
    }

    &:hover {
      color: $color-white;
      background-color: $color-danger;
      border-color: $color-danger;
    }
  }

  &-outline {
    color: $color-danger;
    border-color: $color-danger;

    &:active,
    &:focus {
      color: $color-white;
      background-color: $color-danger !important;
      border-color: $color-danger !important;
    }

    &:hover {
      color: $color-white;
      background-color: $color-danger;
      border-color: $color-danger;
    }
  }

}


.primary {
  &-plain {
    background-color: $color-primary;

    &:active,
    &:focus {
      background-color: $color-primary !important;
      border-color: $color-primary !important;
    }

    &:hover {
      color: $color-white;
      background-color: $color-primary;
      border-color: $color-primary;
    }
  }

  &-outline {
    color: $color-primary;
    border-color: $color-primary;

    &:active,
    &:focus {
      background-color: $color-primary !important;
      border-color: $color-primary !important;
    }

    &:hover {
      color: $color-white;
      background-color: $color-primary;
      border-color: $color-primary;
    }
  }
}
